﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="WebApplication2._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=12.2400.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <html>
        <head>
            <script src="Scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
            <script src="Scripts/jquery.easing-1.3.min.js" type="text/javascript"></script>
            <script src="Scripts/jquery.globalize.min.js" type="text/javascript"></script>
            <script src="Scripts/ej.widget.all.dark.js" type="text/javascript" />
            <link href="Styles/ej.widget.metro-azure-dark.css" rel="Stylesheet" /> 
        </head>
    </html>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <p>   
        <ej:Diagram ID="Diagram1" runat="server" Height="600px" Width="700px">
            <Nodes>
            <ej:DiagramNode Name="NewIdea" Width="150" Height="60" OffsetX="300" OffsetY="60" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Path" PathData="M 45 220 L 45 220 A 20 30 0 0 1 45 280 L 45 280 A 20 30 0 0 1 45 220 Z" />
                <Labels>
                    <ej:DiagramLabel Name="NewIdea_Label" Text="New Idea Identified" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Meeting" Width="150" Height="60" OffsetX="300" OffsetY="150" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Meeting_Label" Text="Meeting with board" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="BoardDecision" Width="150" Height="100" OffsetX="300" OffsetY="270" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <Points>
                        <ej:ShapePoints X="310" Y="50" />
                        <ej:ShapePoints X="340" Y="80" />
                        <ej:ShapePoints X="310" Y="110" />
                        <ej:ShapePoints X="280" Y="80" />
                    </Points>                    
                </Shape>
                <Labels>
                    <ej:DiagramLabel Name="BoardDecision_Label" Text="Board decides whether to proceed" FontColor="White">
                        <Margin Top="0" Left="20" Right="20" Bottom="0" />
                    </ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
             <ej:DiagramNode Name="Project" Width="150" Height="100" OffsetX="300" OffsetY="420" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <Points>
                        <ej:ShapePoints X="310" Y="50" />
                        <ej:ShapePoints X="340" Y="80" />
                        <ej:ShapePoints X="310" Y="110" />
                        <ej:ShapePoints X="280" Y="80" />
                    </Points>                    
                </Shape>
                 <Labels>
                    <ej:DiagramLabel Name="Project_Label" Text="Find Project manager" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="End" Width="120" Height="60" OffsetX="300" OffsetY="545" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="End_Label" Text="Implement and Deliver" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
             <ej:DiagramNode Name="Decision" Width="250" Height="60" OffsetX="550" OffsetY="60" FillColor="#858585" BorderColor="#1BA0E2">
                <Shape Type="Polygon">
                    <Points>
                        <ej:ShapePoints X="280" Y="60" />
                        <ej:ShapePoints X="400" Y="60" />
                        <ej:ShapePoints X="400" Y="110" />
                        <ej:ShapePoints X="260" Y="110" />
                        <ej:ShapePoints X="260" Y="75" />
                    </Points>                    
                </Shape>
                 <Labels>
                    <ej:DiagramLabel Name="Decision_Label" Text="Decision Process for new software ideas" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Reject" Width="150" Height="60" OffsetX="550" OffsetY="270" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Reject_Label" Text="Reject and write report" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
            <ej:DiagramNode Name="Resources" Width="150" Height="60" OffsetX="550" OffsetY="420" FillColor="#1BA0E2" BorderColor="#1BA0E2">
                <Labels>
                    <ej:DiagramLabel Name="Resources_Label" Text="Hire new resources" FontColor="White"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramNode>
        </Nodes>
        <Connectors>
            <ej:DiagramConnector Name="Connector1" SourceNode="NewIdea" TargetNode="Meeting">
                <SourceDecorator Shape="None" />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector2" SourceNode="Meeting" TargetNode="BoardDecision">
                <SourceDecorator Shape="None" />
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector3" SourceNode="BoardDecision" TargetNode="Reject">                
                <SourceDecorator Shape="None" />
                <Labels>
                    <ej:DiagramLabel Name="Connector3_Label" Text="No" FontColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector4" SourceNode="BoardDecision" TargetNode="Project">
                <SourceDecorator Shape="None" />
                <Labels>
                    <ej:DiagramLabel Name="Connector4_Label" Text="Yes" FontColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector5" SourceNode="Project" TargetNode="Resources">
                <SourceDecorator Shape="None" />
                <Labels>
                    <ej:DiagramLabel Name="Connector5_Label" Text="No" FontColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
            <ej:DiagramConnector Name="Connector6" SourceNode="Project" TargetNode="End">
                <SourceDecorator Shape="None" />
                <Labels>
                    <ej:DiagramLabel Name="Connector6_Label" Text="Yes" FontColor="white"></ej:DiagramLabel>
                </Labels>
            </ej:DiagramConnector>
        </Connectors>
        </ej:Diagram>
    
    </p>
</asp:Content>
